vertx / io.vertx.kotlin.core.eventbus / eventBusOptionsOf

# eventBusOptionsOf

`fun eventBusOptionsOf(acceptBacklog: Int? = null, clientAuth: ClientAuth? = null, clusterNodeMetadata: JsonObject? = null, clusterPingInterval: Long? = null, clusterPingReplyInterval: Long? = null, clusterPublicHost: String? = null, clusterPublicPort: Int? = null, connectTimeout: Int? = null, crlPaths: Iterable<String>? = null, crlValues: Iterable<Buffer>? = null, enabledCipherSuites: Iterable<String>? = null, enabledSecureTransportProtocols: Iterable<String>? = null, host: String? = null, idleTimeout: Int? = null, idleTimeoutUnit: TimeUnit? = null, jdkSslEngineOptions: JdkSSLEngineOptions? = null, keyStoreOptions: JksOptions? = null, logActivity: Boolean? = null, openSslEngineOptions: OpenSSLEngineOptions? = null, pemKeyCertOptions: PemKeyCertOptions? = null, pemTrustOptions: PemTrustOptions? = null, pfxKeyCertOptions: PfxOptions? = null, pfxTrustOptions: PfxOptions? = null, port: Int? = null, receiveBufferSize: Int? = null, reconnectAttempts: Int? = null, reconnectInterval: Long? = null, reuseAddress: Boolean? = null, reusePort: Boolean? = null, sendBufferSize: Int? = null, soLinger: Int? = null, ssl: Boolean? = null, sslEngineOptions: SSLEngineOptions? = null, sslHandshakeTimeout: Long? = null, sslHandshakeTimeoutUnit: TimeUnit? = null, tcpCork: Boolean? = null, tcpFastOpen: Boolean? = null, tcpKeepAlive: Boolean? = null, tcpNoDelay: Boolean? = null, tcpQuickAck: Boolean? = null, trafficClass: Int? = null, trustAll: Boolean? = null, trustOptions: TrustOptions? = null, trustStoreOptions: JksOptions? = null, useAlpn: Boolean? = null): EventBusOptions`

A function providing a DSL for building io.vertx.core.eventbus.EventBusOptions objects.

Options to configure the event bus.

### Parameters

`acceptBacklog` - Set the accept back log.

`clientAuth` - Set whether client auth is required

`clusterNodeMetadata` - Set information about this node when Vert.x is clustered. The data may be used by the io.vertx.core.spi.cluster.NodeSelector to select a node for a given message. For example, it could be used to implement a partioning strategy. The default io.vertx.core.spi.cluster.NodeSelector does not use the node metadata.

`clusterPingInterval` - Set the value of cluster ping interval, in ms.

`clusterPingReplyInterval` - Set the value of cluster ping reply interval, in ms.

`clusterPublicHost` - Set the public facing hostname to be used for clustering. Sometimes, e.g. when running on certain clouds, the local address the server listens on for clustering is not the same address that other nodes connect to it at, as the OS / cloud infrastructure does some kind of proxying. If this is the case you can specify a public hostname which is different from the hostname the server listens at. The default value is null which means use the same as the cluster hostname.

`clusterPublicPort` - See io.vertx.core.eventbus.EventBusOptions for an explanation.

`connectTimeout` - Sets the connect timeout

`crlPaths` - Add a CRL path

`crlValues` - Add a CRL value

`enabledCipherSuites` - Add an enabled cipher suite, appended to the ordered suites.

`enabledSecureTransportProtocols` - Sets the list of enabled SSL/TLS protocols.

`host` - Sets the host. Defaults to null. When the clustered eventbus starts, it tries to bind to the provided host. If host is null, then it tries to bind to the same host as the underlying cluster manager. As a last resort, an address will be picked among the available network interfaces.

`idleTimeout` - Set the idle timeout, default time unit is seconds. Zero means don't timeout. This determines if a connection will timeout and be closed if no data is received within the timeout. If you want change default time unit, use io.vertx.core.net.TCPSSLOptions

`idleTimeoutUnit` - Set the idle timeout unit. If not specified, default is seconds.

`jdkSslEngineOptions` -

`keyStoreOptions` - Set the key/cert options in jks format, aka Java keystore.

`logActivity` - Set to true to enabled network activity logging: Netty's pipeline is configured for logging on Netty's logger.

`openSslEngineOptions` -

`pemKeyCertOptions` - Set the key/cert store options in pem format.

`pemTrustOptions` - Set the trust options in pem format

`pfxKeyCertOptions` - Set the key/cert options in pfx format.

`pfxTrustOptions` - Set the trust options in pfx format

`port` - Sets the port.

`receiveBufferSize` - Set the TCP receive buffer size

`reconnectAttempts` - Sets the value of reconnect attempts.

`reconnectInterval` - Set the reconnect interval.

`reuseAddress` - Set the value of reuse address

`reusePort` - Set the value of reuse port. This is only supported by native transports.

`sendBufferSize` - Set the TCP send buffer size

`soLinger` - Set whether SO_linger keep alive is enabled

`ssl` - Set whether SSL/TLS is enabled

`sslEngineOptions` - Set to use SSL engine implementation to use.

`sslHandshakeTimeout` - Set the SSL handshake timeout, default time unit is seconds.

`sslHandshakeTimeoutUnit` - Set the SSL handshake timeout unit. If not specified, default is seconds.

`tcpCork` - Enable the TCP_CORK option - only with linux native transport.

`tcpFastOpen` - Enable the TCP_FASTOPEN option - only with linux native transport.

`tcpKeepAlive` - Set whether TCP keep alive is enabled

`tcpNoDelay` - Set whether TCP no delay is enabled

`tcpQuickAck` - Enable the TCP_QUICKACK option - only with linux native transport.

`trafficClass` - Set the value of traffic class

`trustAll` - Set whether all server certificates should be trusted.

`trustOptions` - Set the trust options.

`trustStoreOptions` - Set the trust options in jks format, aka Java truststore

`useAlpn` - Set the ALPN usage.